About squeak image compatibility (3.6/7/8)

stéphane ducasse ducasse at iam.unibe.ch
Mon Jan 9 10:35:50 UTC 2006

> As for Cees' rant on backwards compatibility and "4.0", who cares?   
> It's broken now with traits; let's throw the remaining rotting  
> subsystems out of 3.9 before it's released and start with something  
> smaller.

Why do you say that this is broken with traits?
If you do not use traits you do not see them.
If you want to move your code to VW you can flatten them out.
I think that you are judging without knowing. (note that we will  
publish a new version where you do not
see traits in class definition when it is not necessary).


More information about the Squeak-dev mailing list